function rec = cruzar(wx,wxx,n1,n2,n3,L,qmf,peso)
%
% RECONSTRUTOR PARA SINTESE CRUZADA
% Reconstrucao via transformada wavelet inversa
% com niveis de coeficientes ponderados.
%
% Usage:  rec = cruzar(wcoef1,wcoef2,n1,n2,n3,L,qmf,peso)
%         Pega o sinal wcoef1 e o reconstroi segundo os pesos,
%         mas substituindo os niveis j=n1 a n3 pelos respectivos
%         niveis j=n1 a n3 do sinal wcoef2.
%
% Cria o sinal reconstruido e plota-o. 
%

[n,J]=dyadlength(wx);
w = wx;
for j = (J-1):-1:L
	if (j==n1) | (j==n2) | (j==n3)
	   w(dyad(j)) = wxx(dyad(j)).*peso(j+1); 
	else
	   w(dyad(j)) = wx(dyad(j)).*peso(j+1);
	end
end

rec = IWT_PO(w,L,qmf);
figure(2);
plot(rec);
xlabel('t'); ylabel('Rec');
title('Reconstrucao Cruzada');

% Parte do Wavesynt para Wavelab
% RRAF 1996/97
