function energraf(tipo,nome)
% ENERGRAF('tipo','nome')
% 
%	Faz o grafico de barras da energia de cada nvel da anlise,
%	e guarda a figura resultante no arquivo 'nome'.
%	Aplicvel s atuais variaveis "energias" e "energiatotal".  
% 	
%	Para grfico linear, use tipo 'linear', para grfico logaritmico
%	(natural) use tipo 'lognat', para grfico logaritmico +1 use tipo
%	'lnmais' (para evitar que  os niveis mais baixos sejam negativos).
%
% OBS: A fonte 'Arial' dever estar instalada no computador.

  global wx
  [n,J]=dyadlength(wx);
  global energias energiatotal
  figurao = figure('PaperUnits','normalized','PaperType','a4letter',...
	'PaperPosition',[.4,.01,.6,.4],'BackingStore','off','Visible','off');
  rec = [.3 .1 .65 .4];
  h=axes('Position',rec,'FontName','Arial','FontSize',10);
  
if tipo == 'linear'
	subplot(h),bar(0:(J-1),energias/energiatotal,'w-');
elseif tipo == 'lognat'
  	subplot(h),bar(0:(J-1),log(energias)/log(energiatotal),'w-');
elseif tipo == 'lnmais'
	subplot(h),bar(0:(J-1),log(energias+1)/log(energiatotal),'w-');
end 
set(gca,'Position',rec,'FontName','Arial','FontSize',10) 
eval(['print -dgif8 ' nome]);
clf
disp('Grafico de barras de energia feito e gravado em disco');

% Parte do Wavesynt para Wavelab
% RRAF 13.5.97