function gerafig(numgraf,nome)
%
% GERAFIG(numgraf,'nome')
% 
% 	Gera uma figura de nome "nome.gif" com os grficos dos
%	"numgraf" primeiros nveis mais finos de uma WMRA do sinal
%	sob analise (x).
%
%	Veja tambm: GERAFIG2, GERAFIG3
%
% OBS. A fonte 'Arial' dever estar instalada no computador.

tic
global wx qmf
[n,J]=dyadlength(wx);
espacodisp = 1 - .04 - (numgraf*.04);
espacodecada = espacodisp/numgraf;

h=zeros(1,numgraf);
energias=zeros(1,numgraf);

gasto=0;
figurao = figure('PaperUnits','normalized','PaperType','a4letter',...
	'PaperPosition',[.4,.01,.6,.99],'BackingStore','off','Visible','off');

for i=1:numgraf
	altitude = .04 + gasto;
	rec = [.3 altitude .65 espacodecada];
	gasto = altitude + espacodecada;
	niv = J-i;
	nivel=wnivel2(wx,niv,qmf);
	h(i)=axes('Position',rec,'FontName','Arial','FontSize',10);
	subplot(h(i)),plot(nivel,'w-');set(gca,'Position',rec,'FontName','Arial','FontSize',10);
end

eval(['print -dgif8 ' nome]);
toc

% Parte do Wavesynt para Wavelab
% RRAF 1997 (13.5.97)