function gerafig2(primeiro,ultimo,nome,com_energia)
%
% GERAFIG2(primeiro,ultimo,'nome','com_energia')
% 
% 	Gera uma figura de nome "nome.gif" no diretorio corrente,
%	 contendo os grficos de todos os nveis entre primeiro e ultimo 
%        (inclusive) de uma WMRA do sinal sob analise (x).
%    
%       Ao:
%	 Faz a decomposicao WMRA do sinal x e gera uma figura com os niveis.
%	 QUANDO o parmetro 'com_energia'  adicionado  linha de comando, 
%	 gera tambm uma matriz "energias" contendo as energias de todos 
%        os niveis gerados pela decomposicao do sinal sob analise.  
%
%	Veja tambm: GERAFIG, GERAFIG3
% 
% OBS: A fonte 'Arial' dever estar instalada no computador.
tic
global wx qmf pronto
[n,J]=dyadlength(wx);

numgraf=ultimo-primeiro+1;
espacodisp = 1 - .04 - (numgraf*.04);
espacodecada = espacodisp/numgraf;
h=zeros(1,J);

if exist('com_energia')
  global energia energias energiatotal
  energias=zeros(1,J);
  gasto=0; energiatotal=0;
  figurao = figure('PaperUnits','normalized','PaperType','a4letter',...
	'PaperPosition',[.4,.01,.6,.99],'BackingStore','off','Visible','off');
  for i=1:J
	niv = J-i; 
	nivel=wnivel2(wx,niv,qmf);
	energias(niv+1)=energia;
	energiatotal=energiatotal + energia;
	if ((niv >= primeiro) & (niv <= ultimo))
	  altitude = .04 + gasto;
	  rec = [.3 altitude .65 espacodecada];
	  gasto = altitude + espacodecada;
	  h(i)=axes('Position',rec,'FontName','Arial','FontSize',10);
	  subplot(h(i)),plot(nivel,'w-');set(gca,'Position',rec,'FontName','Arial','FontSize',10);
	end
  end
  energiatotal
else
  gasto=0;
  figurao = figure('PaperUnits','normalized','PaperType','a4letter',...
	'PaperPosition',[.4,.01,.6,.99],'BackingStore','off','Visible','off');
  for i=1:numgraf
	niv = ultimo+1-i; 
	nivel=wnivel2(wx,niv,qmf);
	altitude = .04 + gasto;
	rec = [.3 altitude .65 espacodecada];
	gasto = altitude + espacodecada;
	h(i)=axes('Position',rec,'FontName','Arial','FontSize',10);
	subplot(h(i)),plot(nivel,'w-');set(gca,'Position',rec,'FontName','Arial','FontSize',10);
  end
end
eval(['print -dgif8 ' nome]);
toc
clf
if exist('pronto')
	sound(pronto,44100);
end

% Parte do Wavesynt para Wavelab
% RRAF 1997