function mix = mixar(wx,L,peso,qmf)
%
% MIXAR
% 	Mistura os niveis da WMRA segundo a tabela de pesos configurada
%	no editor de pesos da interface grfica Wavesynth
%
% Usage: mix = mixar(wx,L,peso,qmf)
% 
% OBS: Niveis abaixo do mais grosso L sao desprezados na mixagem. 
%
% Veja tambm: RECONST, SOM, NIVEIS, CRUZAR, SALVASOM, GERAFIG
global samplingrate;
[n J] = dyadlength(wx);
mix = zeros(1,n);

for j = (J-1):-1:L
	nivelj = wnivel3(wx,j,qmf);
	mix = mix + (nivelj.* peso(j+1)./J);
end

% Considerando que h 44100 amostras num segundo,
% e que a amostra 1  tempo 0s, amostra 2 tempo 1/44100, 
% amostra 3 tempo 2/4100, ...
% logo a amostra 44100 ser tempo 44099/44100.

t=((1:n)-1)/samplingrate;
plot(t,mix);
xlabel('t'); ylabel('Mix');
title('Mixagem');

% Parte do Wavesynt para Wavelab
% RRAF copyright 1997 (8.5.97)
