function x = normaliz(variavel)
% NORMALIZ   Normalizador (chamado pelo Wavesynt)
% --------------------------------------------------
% Faz um zero-padding na variavel de forma a normalizar
% sua extensao (length) para a potencia de 2 superior mais proxima.
% 
% Nome da funcao: normaliz.m
% Uso: variavel_normalizada = normaliz(variavel)
%

tam=ceil(log(length(variavel))/log(2));

dif=abs(length(variavel)-2.^tam);
ini=fix(dif/2);
inicio=zeros(1,ini);
fim=zeros(1,(dif-ini));

x = [inicio variavel fim];

% Parte do Wavesynt para Wavelab
% RRAF 1997 (6.2.97)