function rec = reconst(wx,L,qmf,peso)
%
% RECONSTRUTOR
% Reconstrucao via transformada wavelet inversa
% com niveis de coeficientes ponderados. Usado pelo Wavesynt.
%
% Uso:  rec = reconst(wcoef, L, qmf, peso)
% Ao: Cria o sinal reconstruido segundo os pesos, e plota-o. 
%
% Veja tambm: MIXAR, CRUZAR
global samplingrate;
[n,J]=dyadlength(wx);
w = wx;
for j = (J-1):-1:L
	w(dyad(j)) = wx(dyad(j)).*peso(j+1);
end
rec = IWT_PO(w,L,qmf);
t=((1:n)-1)/samplingrate;
plot(t,rec);
xlabel('t'); ylabel('Rec');
title('Reconstrucao');

% Parte do Wavesynt para Wavelab
% RRAF copyright 1997 (8.5.97)
