function sonorize(y,fs)
%SONORIZE  Converte vetor Y em arquivo .aif e toca-o numa SGI remota.
%	   Tambem aplicavel a outras maquinas UNIX que aceitem o 
%          esquema utilizado. SOMENTE PARA MAQUINAS UNIX.
%
%	Uso: sonorize(Y,fs)
%
%	SONORIZE sends the signal in vector Y out the speaker on a remote
%       SPARC, HP, or SGI. The vector is autoscaled to provide maximum 
%       amplitude.
%
%	The sound is played at the default sample rate. On the SPARC, the
%	sample rate is fixed at 8192 Hz. On the Macintosh, the default
%	sample rate is 22.255K Hz.
%
%	Vector Y is automatically scaled so that the maximum and minimum values 
%	in Y correspond to the maximum and minimum input ranges allowed by the
%	sound hardware. On the Macintosh and the SGI, the volume control on the
%	Control Panel determines the final sound level.
% 
%	OBS: VERSAO BASICA: NECESSITA SETAR EM SONORIZE.M O DIRETORIO MONTADO
%            E EXPORTADO DA MAQUINA REMOTA (COM PERMISSAO DE ESCRITA) PARA 
%            O ENVIO DO SOM EM FORMA DE ARQUIVO SONORO E UM RSHELL PARA TOCAR.
%
%	See also SAXIS, AUWRITE, AUREAD, WAVREAD, WAVWRITE, SOM, SOUND

%	Copyright (c) 1984-94 by The MathWorks, Inc.

global SAXIS_SCALE
global SAXIS_LIM
v = saxis;
ymin = min(y(:));
ymax = max(y(:));
if ~strcmp(SAXIS_SCALE,'auto')
  smin = v(1);
  smax = v(2);
else % auto-scale
  smin = ymin;
  smax = ymax;
  if smin == smax
    smax = smax + 1;
  end
  SAXIS_LIM = [smin smax];
end
c = computer;
% Scale y's values between [smin smax] onto [-1 1].
slope = 2/(smax-smin);
intercept = (smin+smax)/(smin-smax);
y(:) = slope*y+intercept;

%Descobrir qual a plataforma que roda o Matlab p/ setar saida audio
if (strcmp(c,'SUN4') | strcmp(c,'HP700')) 
  auwrite2(y);
elseif (strcmp(c(1:3),'MAC') | strcmp(c,'NEXT') | strcmp(c,'SGI'))
  if nargin == 1
    playsound(y)  % Uses MEX file in the case of NEXT and SGI
  else
    playsound(y,fs)
  end
elseif (strcmp(c(1:4),'SOL2'))

%Preparar vetor para saida de audio unsigned, 16 bits
  x=y+1;
  x=x*(32766); % (16 bits dao mesmo 32768 niveis: 32766 e' para evitar clicks)
  x=floor(x);
  
  MAX_VECT_SIZE = 64000;
  vect_len=length(x);

%Descobrir se maquina tocavel e' local ou remota
machinename = getenv('HOST'); 
dspname = getenv('DISPLAY');
dspname  = dspname(1:find(dspname == ':')-1);
if strcmp(dspname,machinename) | strcmp(lower(dspname),'unix') | ...
isempty(dspname) | isempty(machinename)
% Audio device is (probably) on this machine (o que nao deve acontecer conosco)
	p = fopen('/dev/audio','wb');
	if fp == -1
		disp('Audio capabilities are not available on this machine.')
	else
		fwrite(fp,x,'int16');
		close(fp); 
	end
else
	% Audio device is on a remote machine (nosso caso)
	% Write to a temporary file, then use a shell escape
	% to send the file to the remote sfplay
    		t = clock;
		tmpfile = ['/home/projects/ravel/soft3d/regis/temp/tmp' sprintf('%02.0f%02.0f%02.0f', t(4:6))];  
        	fp=fopen(tmpfile,'wb')
		if fp == -1
			error(['Cannot open ' tmpfile ' with write privilege.'])
		end
		fwrite(fp,x,'int16'); disp('Escrevi o tmpfile. Agora vou tocar');
		%close(fp); disp('close do Vector e grande');
		rsh = 'rsh '; sep='"|" '; 
      	 if nargin < 2
		%eval(['! ' rsh dspname ' sfconvert ' tmpfile ' ' tmpfile '.aif -i int 16 u chan 1 rate 44100 end format aiff int 16 2 chan 1 rate 44100 ' sep ' sfplay ' tmpfile '.aif']);
		eval(['! ' rsh dspname ' sfconvert ' tmpfile ' ' tmpfile '.aif -i int 16 u chan 1 rate 44100 end format aiff int 16 2 chan 1 rate 44100 ']);
		eval(['! ' rsh dspname ' sfplay ' tmpfile '.aif']);
		%playwave(x(start_ind(i):end_ind(i)),44100);
      	 else
		fs=num2str(fs);
		%eval(['! ' rsh dspname ' sfconvert ' tmpfile ' ' tmpfile '.aif -i int 16 u chan 1 rate ' fs ' end format aiff int 16 2 chan 1 rate ' fs ' ' sep ' sfplay ' tmpfile '.aif']);
		eval(['! ' rsh dspname ' sfconvert ' tmpfile ' ' tmpfile '.aif -i int 16 u chan 1 rate ' fs ' end format aiff int 16 2 chan 1 rate ' fs]);
		eval(['! ' rsh dspname ' sfplay ' tmpfile '.aif']);
		%playwave(x(start_ind(i):end_ind(i)),fs)
      	 end
end
else
  error('Sound is not currently supported on this hardware platform.')
end

% Parte do Wavesynt para Wavelab
% RRAF 1996/97 (19.2.97)
