function sonorize2(y,fs,pr)
%SONORIZE2  Converte vetor Y em arquivo .aiff localizado no diretorio HOME
%	    do usuario, e toca-o.
%	    O processamento se da' da seguinte forma:
%	    
%	    1) Amplitudes do vetor sao escaladas para intervalo [-1,1]
%	    2) Descobre-se a plataforma para direcionar a saida de audio
%		Se SUN4 ou HP700 	> usa-se auwrite.m p/ tocar
%		Se MAC ou NEXT   	> usa-se playsnd.m com MEX se houver um
%		Se SGI remota ou local 	> usa-se a conversao para AIFF e SFPLAY
%		Se SOL2 local		> usa-se auwrite p/ tocar (ou playsnd!)
%		Se SOL2 remota		> usa-se arquivo temporario e rsh
%	    3) o vetor e' salvo no arquivo de nome "pr"
%
% "pr" should come with extension, like "som_tal.mat".
% If you didnot put fs, fs will be default (see below). 
% If you didnot put "pr", nothing will be saved onto any files. 
%
% The Interface Mestre of Wavesynth every time it sonorizes any signal
% it tries to write the audio signal onto the file in Project text box,
% which is put into a variable "pr". 
% So, take care of what is in the Project text box in the Interface Mestre!!
%
% Esta funcao e' multiplataforma. As funcoes de sound para PC sao ainda MATLAB 4.x
% Quando os bugs de PLAYSND para SGI estiverem corrigidos esta versao deve ser 
% revista para se evitar a previa conversao para AIFF para entao tocar.
% Para PCs o escalamento adotado nao esta' no intervalo [-1,1]
% Para SGI o escalamento adotado e' 0-65532, inteiro sem sinal
% Para SOL2 remota o escalamento adotado e' [-1,1]
%
%	The sound is played at the default sample rate. On the SPARC, the
%	sample rate is fixed at 8192 Hz. On the Macintosh, the default
%	sample rate is 22.255K Hz.
%
%	See also SAXIS, AUWRITE, AUREAD, WAVREAD, WAVWRITE, SOM, SOUND

%	Copyright (c) 1984-94 by The MathWorks, Inc.

smin = min(y);
smax = max(y);
if smin == smax
   smax = smax + 1;
end

c = computer;

% Scale y's values between [smin smax] onto [-1 1].
slope = 2/(smax-smin);
intercept = (smin+smax)/(smin-smax);
y(:) = slope*y+intercept;

%Descobrir qual a plataforma que roda o Matlab p/ setar saida de audio
if (strcmp(c,'SUN4') | strcmp(c,'HP700')) 
  auwrite2(y);
elseif (strcmp(c(1:3),'MAC') | strcmp(c,'NEXT'))
  if nargin == 1
    playsnd(y)  % Uses MEX file in the case of NEXT and MAC
  else
    playsnd(y,fs)
  end
elseif (strcmp(c(1:2),'PC'))
  x=y+1;
  x=x*(128);
  x=floor(x);  
% Preparando o sinal para ser sonorizado: so' 64000 bits em cada stream
  MAX_VECT_SIZE = 64000;
  vect_len=length(x);
  
  if vect_len > MAX_VECT_SIZE
    num_segs=ceil(vect_len/MAX_VECT_SIZE);
    start_ind=1:MAX_VECT_SIZE:vect_len;
    end_ind = start_ind+MAX_VECT_SIZE-1;
    end_ind(num_segs)=vect_len;

    for i=1:num_segs
      if nargin < 2
                playwave(x(start_ind(i):end_ind(i)),8192);
      else
                playwave(x(start_ind(i):end_ind(i)),fs)
      end
        end
  else
      if nargin < 2
                playwave(x,8192);
      else
                playwave(x,fs)
      end
  end
elseif strcmp(c,'SGI') | strcmp(c(1:4),'SOL2') 
%Se a maquina for uma SOL2 local toca normal com auwrite (ou playsnd: opcao comentada!)
%Se for remota ou uma SGI toca via arquivo temporario AIFF escrito via rsh

%Preparar vetor para saida de audio unsigned, 16 bits (para SGI ou SOL2 remota)
  x=y+1;
  x=x*(32766); % (16 bits dao mesmo 32768 niveis: 32766 e' para evitar clicks)
  x=floor(x);

%Descobrir se maquina tocavel e' local ou remota
machinename = getenv('HOST'); 
dspname = getenv('DISPLAY');
dspname  = dspname(1:find(dspname == ':')-1);
if isempty(dspname) | isempty(machinename) | ...
  (strcmp(dspname,machinename) & ~strcmp(computer,'SGI'))| strcmp(lower(dspname),'unix') ;
%if strcmp(dspname,machinename) | strcmp(lower(dspname),'unix') | ...
%isempty(dspname) | isempty(machinename)
% Audio device is (probably) on this machine OR the machine is not a SGI
	if strcmp(c,'SOL2')
	   auwrite2(y);
	   %playsnd(y,fs);
	else
	  p = fopen('/dev/audio','wb');
	  if fp == -1
		disp('Audio capabilities are not available on this machine.')
	  else
		fwrite(fp,x,'int16');
		fclose(fp);
	  end
	end
else
 if strcmp(c,'SOL2')
  %Audio device is on a remote SUN Solaris2 or above
  %Write to a temporary file, then use a rsh to send the file
  %to the remote audio device /dev/audio
  t = clock;
    tmpfile = ['/tmp/au' sprintf('%02.0f%02.0f%02.0f', t(4:6))];
    fp = fopen(tmpfile,'wb');
    if fp==-1,
      error(['Cannot open ' tmpfile ' with write privilege.'])
    end
    fwrite(fp,lin2mu(y),'uchar');
    fclose(fp);

    cp = computer;
    rsh = 'rsh ';
    if cp(1)=='H', rsh = 'remsh '; end
    eval(['!cat ' tmpfile ' | ' rsh dspname ' ''cat > /dev/audio'' ']);
    delete(tmpfile);
 else
	% The local machine is a SGI
	% Write to a temporary file, then use a shell escape to convert the file
	% to AIFF and then to the remote sfplay
    		t = clock; diretorio=getenv('HOME');
		tmpfile = [diretorio '/' sprintf('%02.0f%02.0f%02.0f', t(4:6))];  
        	fp=fopen(tmpfile,'wb')
		if fp == -1
			error(['Cannot open ' tmpfile ' with write privilege.'])
		end
		fwrite(fp,x,'int16'); disp('Escrevi o tmpfile. Agora vou tocar');
		fclose(fp); 
		rsh = 'rsh '; sep='"|" '; 
      	 if nargin < 2
		eval(['! ' rsh dspname ' sfconvert ' tmpfile ' ' tmpfile '.aiff -i int 16 u chan 1 rate 44100 end format aiff int 16 2 chan 1 rate 44100 ']);
		eval(['! ' rsh dspname ' sfplay ' tmpfile '.aiff']); delete(tmpfile);
      	 else
		fs=num2str(fs);
		eval(['! ' rsh dspname ' sfconvert ' tmpfile ' ' tmpfile '.aiff -i int 16 u chan 1 rate ' fs ' end format aiff int 16 2 chan 1 rate ' fs]);
		eval(['! ' rsh dspname ' sfplay ' tmpfile '.aiff']); delete(tmpfile);
      	 end
  end
end
else
  error('Sound is not currently supported on this hardware platform.')
end

% Normalizando o sinal para 16 bits de resolucao, inteiro
  xis = y+1;
  xis = xis*(32766.5) - 32766;  % projetando em [-32766 32767] (16 bits) 
  xis = round(xis);             % arredondando para ser inteiro, nao float

% salvando o sinal num arquivo cujo nome esteja na variavel pr
% obs: "pr" e' escrito no text box na interface mestre, canto inferior
%      esquerdo, e ja' deve trazer um nome valido de arquivo: "file.mat"
%      com extensao .mat e tudo. Atencao para nao tentar gravar no mesmo
%      arquivo do projeto: faca o projeto original so' de leitura!

if exist('pr') 
   if ~strcmp(pr,'')
	eval(['save ',pr,' xis']);
   end
end

% Parte do Wavesynt para Wavelab
% RRAF 1996/97 (19.2.97)
% RRAF 1998 (13.5.98)
