function nivel = wnivel2(wc,n,qmf)
% WNIVEL2(wc,n,qmf)
%
%          Multi-Resolution Display of 1-d Wavelet Transform
%          Gerao de um nivel wavelet na variavel nivel
%	   Tambm calcula a energia mdia do nvel.
%	   O programa nao ira' imprimir a energia na janela de 
%	   comando do Matlab, mas ira' criar uma variavel 'energia' 
% 	   global contendo a energia do nivel.
%	   
%  Usage
%    nivel = wnivel2(wc,n,qmf)
%  Inputs
%    wc    1-d wavelet transform
%    n     nivel a ser gerado
%    qmf   quadrature mirror filter used to make wc
%
%  Side Effects
%    A depiction of the multi-resolution decomposition
%    of the signal, as in S. Mallat.
%
%  See Also
%    PlotWaveCoeff, FWT_PO, IWT_PO, MakeONFilter, wnivel, wnivel3
%
global energia    
wavecoef = ShapeAsRow(wc);
	
	[leng,J] = dyadlength(wavecoef); 
	nivel = zeros(1,leng);
	   w = zeros(1,leng);
	   w(dyad(n)) = wavecoef(dyad(n));
	   nivel=IWT_PO(w,n,qmf);
	   energia = energy(nivel);

% Parte do Wavesynt para Wavelab	     
% Adaptado a partir de arquivos do WaveLab version .701
% RRAF 1997 (23.5.97) 