function nivel = wnivel3(wc,n,qmf)
% WNIVEL3(wc,n,qmf)
%
%          Multi-Resolution Display of 1-d Wavelet Transform
%          Gerao de um nivel wavelet na variavel nivel
%	   Nao calcula a energia mdia do nvel.
%	   
%  Usage
%    nivel = wnivel3(wc,n,qmf)
%  Inputs
%    wc    1-d wavelet transform
%    n     nivel a ser gerado
%    qmf   quadrature mirror filter used to make wc
%
%  Side Effects
%    A depiction of the multi-resolution decomposition
%    of the signal, as in S. Mallat.
%
%  See Also
%    PlotWaveCoeff, FWT_PO, IWT_PO, MakeONFilter, wnivel, wnivel2
%
wavecoef = ShapeAsRow(wc);
	
	   [leng,J] = dyadlength(wavecoef); 
	   nivel = zeros(1,leng);
	   w = zeros(1,leng);
	   w(dyad(n)) = wavecoef(dyad(n));
	   nivel=IWT_PO(w,n,qmf);
	   clear w;

% Parte do Wavesynt para Wavelab		     
% Adaptado a partir de originais do WaveLab version .701
% RRAF 1997 (8.5.97)